% SOME SIMPLE MATLAB STATEMENTS AND A SIMPLE PRINCIPAL
% COMPONENTS PROGRAM
X=[1 4 5			%  This is how comments are entered
   2 7 8				%  Data is entered in a named array and
					%  including the values between
   1 5 2				%  [  ] i,.e. square brackets. Rows are
					%  separated by ;s or are as entered here.
   4 2 7];				% The ; after the ] suppresses printing
					% of X
[N,p]=size(X);		% Returns N as a row count; M as a
					% column count.
j=ones(N,1);			%  Defines and prints the n x 1 vector
					%  of 1's
XBAR=j'*X/N;		%Computes and prints means
Y=X-j*XBAR;		%  Computes deviations from Means
varcov=Y'*Y/(N-1);	% Computes variance-covariance
					% matrix
[U,L,U]=svd(varcov);
% Singular value decomposition of varcov for
% eigenvalues L and eigenvectors E stops execution until a key is pressed
pause;                 
L=[diag(L) 100*cumsum(diag(L)/sum(diag(L)))]
					% Eigenvalues and as percenatages
U					%prints eigenvectors E
Scores=Y*U;			% PC scores
clg;					% clears any previous graphics
pause;
plot(Scores(:,1),Scores(:,2),'+w');  
					% : selects all rows
					% and plots
					% column 1 x 2
					% of PC Scores
xlabel('PC1');			%with plus sign for points, and
					% axes labeled
ylabel('PC2');
title('Plot of PC2 against PC1');
